[med-svn] [Git][med-team/nim-lapper][master] 3 commits: Add autopkgtest

Nilesh Patra gitlab at salsa.debian.org
Wed Nov 4 19:09:23 GMT 2020



Nilesh Patra pushed to branch master at Debian Med / nim-lapper


Commits:
065e5bef by Nilesh Patra at 2020-11-05T00:38:27+05:30
Add autopkgtest

- - - - -
3424c6c8 by Nilesh Patra at 2020-11-05T00:38:27+05:30
Install examples in .examples instead of docs

- - - - -
8fcb68c8 by Nilesh Patra at 2020-11-05T00:38:27+05:30
Add upstream/metadata

- - - - -


5 changed files:

- debian/nim-lapper-dev.docs
- + debian/nim-lapper-dev.examples
- + debian/tests/control
- + debian/tests/run-unit-test
- + debian/upstream/metadata


Changes:

=====================================
debian/nim-lapper-dev.docs
=====================================
@@ -2,4 +2,3 @@
 #lapper.html
 #nimdoc.out.css
 README.md
-example.nim


=====================================
debian/nim-lapper-dev.examples
=====================================
@@ -0,0 +1 @@
+example.nim


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @, build-essential, nim
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -e
+
+pkg="nim-lapper-dev"
+
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+  AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+  trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* $AUTOPKGTEST_TMP
+
+cd $AUTOPKGTEST_TMP
+gunzip -r *
+
+echo "Execute example"
+nim -p:/usr/share/nimble/lapper c example.nim
+./example
+rm -f ./example
+echo "======================================="
+echo "PASS"


=====================================
debian/upstream/metadata
=====================================
@@ -0,0 +1,7 @@
+---
+Archive: GitHub
+Bug-Database: https://github.com/brentp/nim-lapper/issues
+Bug-Submit: https://github.com/brentp/nim-lapper/issues/new
+Changelog: https://github.com/brentp/nim-lapper/tags
+Repository: https://github.com/brentp/nim-lapper.git
+Repository-Browse: https://github.com/brentp/nim-lapper



View it on GitLab: https://salsa.debian.org/med-team/nim-lapper/-/compare/a9b908b7f7b626bcc87b7269878c5f7aa8886868...8fcb68c8b9351d528e7db37742796538918745a7

-- 
View it on GitLab: https://salsa.debian.org/med-team/nim-lapper/-/compare/a9b908b7f7b626bcc87b7269878c5f7aa8886868...8fcb68c8b9351d528e7db37742796538918745a7
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20201104/c5566321/attachment-0001.html>


More information about the debian-med-commit mailing list